Returns the model of the Payment Method e.g. "reseller"

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.pace.cloud/doc/payment/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Payment MCP server": {
  "url": "https://developer.pace.cloud/doc/payment/mcp"
}
Close
POST /payment-methods/{paymentMethodId}/model

Path parameters

  • paymentMethodId string(uuid) Required

    ID of the paymentMethod

application/vnd.api+json

Body Required

  • data object
    Hide data attributes Show data attributes object
    • type string Required

      Value is paymentMethod.

    • id string(uuid)

      Payment method UUID

    • attributes object Required
      Hide attributes attribute Show attributes attribute object
      • poiID string

        Point of Interest ID

Responses

  • 200 application/vnd.api+json

    The Payment Method model was successfully fetched.

    Hide response attribute Show response attribute object
    • data object
      Hide data attributes Show data attributes object
      • type string

        Value is paymentMethod.

      • id string(uuid)

        Payment method UUID

      • attributes object
        Hide attributes attribute Show attributes attribute object
        • paymentMethodModel string

          The model of the Payment Method.

  • 400

    Error while getting model of payment method

POST /payment-methods/{paymentMethodId}/model
curl \
 --request POST 'https://api.pace.cloud/pay/2024-4/payment-methods/93db55b6-a9ab-4597-a253-49a1718cea0a/model' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/vnd.api+json"
Request examples
{
  "data": {
    "type": "paymentMethod",
    "id": "d7101f72-a672-453c-9d36-d5809ef0ded6",
    "attributes": {
      "poiID": "c3f037ea-492e-4033-9b4b-4efc7beca16c"
    }
  }
}
Response examples (200)
{
  "data": {
    "type": "paymentMethod",
    "id": "c3f037ea-492e-4033-9b4b-4efc7beca16c",
    "attributes": {
      "paymentMethodModel": "broker"
    }
  }
}